React Bootstrap Position

React Position - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap position utilities are helpful for quickly placing a component outside the normal document flow. See a handful of fixed position classes.

Use these shorthand utilities for quickly configuring the position of an element.


Common values

Quick positioning classes are available, though they are not responsive.

        
            
          import React from 'react'

          const PositionPage = () => {
            return (
              <>
                <div className="position-static">...</div>
                <div className="position-relative">...</div>
                <div className="position-absolute">...</div>
                <div className="position-fixed">...</div>
                <div className="position-sticky">...</div>
              </>
            )
          }

          export default PositionPage;
        
        
    

Fixed top

Position an element at the top of the viewport, from edge to edge. Be sure you understand the ramifications of fixed position in your project; you may need to add aditional CSS.

        
            
          import React from 'react'

          const PositionPage = () => {
            return (
              <div className="fixed-top">...</div>
            )
          }

          export default PositionPage;
        
        
    

Fixed bottom

Position an element at the bottom of the viewport, from edge to edge. Be sure you understand the ramifications of fixed position in your project; you may need to add aditional CSS.

        
            
          import React from 'react'

          const PositionPage = () => {
            return (
              <div className="fixed-bottom">...</div>
            )
          }

          export default PositionPage;
        
        
    

Sticky top

Position an element at the top of the viewport, from edge to edge, but only after you scroll past it. The .sticky-top utility uses CSS’s position: sticky, which isn’t fully supported in all browsers.

Microsoft Edge and IE11 will render position: sticky as position: relative. As such, we wrap the styles in a @supports query, limiting the stickiness to only browsers that properly can render it.

        
            
          import React from 'react'

          const PositionPage = () => {
            return (
              <div className="sticky-top">...</div>
            )
          }

          export default PositionPage;

Vue Bootstrap Position

Vue Position - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Use these shorthand utilities for quickly configuring the position of an element.


Common values

Quick positioning classes are available, though they are not responsive.

        
            
      <template>
        <div>
          <div class="position-static">...</div>
          <div class="position-relative">...</div>
          <div class="position-absolute">...</div>
          <div class="position-fixed">...</div>
          <div class="position-sticky">...</div>
        </div>
      </template>
    
        
    

Fixed top

Position an element at the top of the viewport, from edge to edge. Be sure you understand the ramifications of fixed position in your project; you may need to add additional CSS.

        
            
        <template>
          <div class="fixed-top">...</div>
        </template>
      
        
    

Fixed bottom

Position an element at the bottom of the viewport, from edge to edge. Be sure you understand the ramifications of fixed position in your project; you may need to add aditional CSS.

        
            
        <template>
          <div class="fixed-bottom">...</div>
        </template>
      
        
    

Sticky top

Position an element at the top of the viewport, from edge to edge, but only after you scroll past it. The .sticky-top utility uses CSS’s position: sticky, which isn’t fully supported in all browsers.

Microsoft Edge and IE11 will render position: sticky as position: relative. As such, we wrap the styles in a @supports query, limiting the stickiness to only browsers that properly can render it.

        
            
          <template>
            <div class="sticky-top">...</div>
          </template>